Skip to main content
PUT
/
products
/
{id}
Update a product
curl --request PUT \
  --url https://api.bitbybit.studio/customer/open/v1/products/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "productId": "<string>",
    "name": "<string>",
    "description": "<string>",
    "media": "<string>",
    "medias": [
      "<string>"
    ],
    "status": "<string>",
    "variants": [
      {
        "id": "<string>",
        "key": "<string>",
        "price": 123,
        "compareAtPrice": 123,
        "inventorySku": "<string>",
        "media": "<string>"
      }
    ],
    "options": [
      {
        "id": "<string>",
        "name": "<string>",
        "values": [
          "<string>"
        ]
      }
    ],
    "tags": [
      "<string>"
    ],
    "types": [
      "<string>"
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one in Settings > Developer.

Path Parameters

id
string
required

Body

application/json
name
string
description
string

Response

Product updated

data
object